**[[質問箱3/183]] [#s96150d8]
#author("2018-03-11T15:57:02+09:00;2009-03-14T15:11:51+09:00","","")
**[[質問箱/3183]] [#s96150d8]
|RIGHT:70|LEFT:410|c
|~カテゴリ||
|~サマリ|PHP 5.0.5 にしたら動作しない|
|~バージョン|1.4.5_1|
|~投稿者|[[Kimi]]|
|~状態|完了|
|~投稿日|&new{2005-09-08 (木) 17:20:39};|
***質問 [#p217fab4]
はじめまして、僕はシステム管理者であって、自分では Wiki 自体をあまり使ったことがないので、至らないところがあったら失礼いたします。

PHP 5.0.5 が出たので、アップデートしたところ pukiwiki 1.4.5_1 が動作しなくなってしまいました。
エラーログには

PHP Fatal error:  Only variables can be passed by reference in /xxx/rules.ini.php on line 26

というのが出ていて、ここをいじると、今度は

PHP Fatal error:  Only variables can be passed by reference in /xxx/plugin/recent.inc.php on line 36

というのが出ます。
どうやら PHP 5.0.5 で修正された以下の件

http://bugs.php.net/bug.php?id=33257

が影響して、「正しくエラーになっている」(?)様子で、rules.ini.php にしろ、recent.inc.php にしろ、array_pop や array_splice の引数に関数が入っているところを、一度変数に代入してやれば通るようになる様子です。
他にも、array 関係の関数を、同じような使い方をしているところがあるかもしれませんが、とりあえずわかったのは以上2点でした。(というか、この2点を直さないとトップページすら表示されない)

この件に関して、修正の予定はありますか?
とりあえず、現在は PHP 5.0.4 に戻しています。


***回答 [#g5b61776]
-[[dev:BugTrack2/106]] --  &new{2005-09-09 (金) 02:25:18};
-初めて導入してうがーと思ってましたがそういうことだったのか。情報ありがとうございます。 --  &new{2005-09-09 (金) 10:32:02};
-私も助かりました。ちなみに9/16時点のCVS版でも同様の状態です。 --  &new{2005-09-16 (金) 11:56:18};
-こんにちは。実際に修正したパッチをいただけますか? SF.jpのトラッカーでもどこでも構いません。 -- [[henoheno]] &new{2005-09-16 (金) 23:28:09};
-「修正」ってほどのことはしていないし、関数のこのような使い方をしているところを全部探す根性もなかったので PHP 5.0.4 に戻してしまいました。一応動作チェックさせてみたときは '&page'	=> array_pop($hoge=explode('/', $vars['page'])), (rules.ini.php 26 行目)みたいに、ずさんに変数に代入させてみただけです。 -- [[Kimi]] &new{2005-09-20 (火) 15:46:33};
- この件は [[dev:BugTrack2/106]] において終息しました。コメントありがとうございました :) -- [[henoheno]] &new{2005-10-31 (月) 23:28:58};

//#comment



トップ   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.025 sec.

OSDN